Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage Class Reference

Image Field Type external storage DoctrineStorage gateway. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage:

## Public Member Functions
| __construct (UrlRedecoratorInterface $redecorator, Connection $connection)
| getNodePathString (VersionInfo $versionInfo)
| Return the node path string of $versionInfo. More...
| storeImageReference ($uri, $fieldId)
| Store a reference to the image in $path for $fieldId. More...
| getXmlForImages ($versionNo, array $fieldIds)
| Return an XML content stored for the given $fieldIds. More...
| getAllVersionsImageXmlForFieldId (int $fieldId)
| removeImageReferences ($uri, $versionNo, $fieldId)
| Remove all references from $fieldId to a path that starts with $path. More...
| countImageReferences ($uri)
| Return the number of recorded references to the given $path. More...
| isImageReferenced (string $uri)
| Returns true if there is reference to the given $uri. More...
| countDistinctImagesData ()
| getImagesData (int $offset, int $limit)
| updateImageData (int $fieldId, int $versionNo, string $xml)
| updateImagePath (int $fieldId, string $oldPath, string $newPath)
Public Member Functions inherited from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway
| extractFilesFromXml ($xml)
| Returns the public uris for the images stored in $xml. More...

## Public Attributes
const | IMAGE_FILE_TABLE = 'ezimagefile'

## Protected Member Functions
| canRemoveImageReference ($path, $versionNo, $fieldId)
| Check if image $path can be removed when deleting $versionNo and $fieldId. More...
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Protected Attributes
| $connection
| $fieldNameMap

## Private Attributes
| $redecorator

## Detailed Description

Image Field Type external storage DoctrineStorage gateway.

Definition at line 21 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::__construct | ( | UrlRedecoratorInterface | $redecorator,
|  | Connection | $connection
| ) |  |

Definition at line 44 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage\$connection, and eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage\$redecorator.

## Member Function Documentation

## ◆ canRemoveImageReference()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::canRemoveImageReference | ( |  | $path,
|  |  | $versionNo,
|  |  | $fieldId
| ) |  |
| protected

Check if image $path can be removed when deleting $versionNo and $fieldId.

Parameters

  string | $path | legacy image path (var/storage/images...)
  int | $versionNo |
  int | $fieldId |

Definition at line 297 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\extractFilesFromXml().

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage\removeImageReferences().

## ◆ countDistinctImagesData()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::countDistinctImagesData | ( |  | ) |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 277 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ countImageReferences()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::countImageReferences | ( |  | $uri | ) |

Return the number of recorded references to the given $path.

Parameters

  string | $uri | File IO uri (not legacy)

Returns
  int

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 233 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ getAllVersionsImageXmlForFieldId()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::getAllVersionsImageXmlForFieldId | ( | int | $fieldId | ) |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 155 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ getImagesData()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::getImagesData | ( | int | $offset,
|  | int | $limit
| ) |  |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 382 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ getNodePathString()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::getNodePathString | ( | VersionInfo | $versionInfo | ) |

Return the node path string of $versionInfo.

Returns
  string

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 55 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ getXmlForImages()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::getXmlForImages | ( |  | $versionNo,
|  | array | $fieldIds
| ) |  |

Return an XML content stored for the given $fieldIds.

Parameters

  int | $versionNo |

Returns
  array

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 120 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ isImageReferenced()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::isImageReferenced | ( | string | $uri | ) |

Returns true if there is reference to the given $uri.

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 255 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ removeImageReferences()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::removeImageReferences | ( |  | $uri,
|  |  | $versionNo,
|  |  | $fieldId
| ) |  |

Remove all references from $fieldId to a path that starts with $path.

Parameters

  string | $uri | File IO uri (not legacy)
  int | $versionNo |
  int | $fieldId |

Exceptions

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 196 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage\canRemoveImageReference().

## ◆ storeImageReference()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::storeImageReference | ( |  | $uri,
|  |  | $fieldId
| ) |  |

Store a reference to the image in $path for $fieldId.

Parameters

  string | $uri | File IO uri (not legacy)
  int | $fieldId |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 92 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ updateImageData()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::updateImageData | ( | int | $fieldId,
|  | int | $versionNo,
|  | string | $xml
| ) |  |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 398 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ updateImagePath()

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::updateImagePath | ( | int | $fieldId,
|  | string | $oldPath,
|  | string | $newPath
| ) |  |

Reimplemented from eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway.

Definition at line 429 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## Member Data Documentation

## ◆ $connection

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::$connection
| protected

Definition at line 26 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage\__construct().

## ◆ $fieldNameMap

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::$fieldNameMap
| protected

Initial value:
= [
'id' => 'fieldId',
'version' => 'versionNo',
'language_code' => 'languageCode',
'path_identification_string' => 'nodePathString',
'data_string' => 'xml',
]

Definition at line 33 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

## ◆ $redecorator

eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::$redecorator
| private

Definition at line 42 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage\__construct().

## ◆ IMAGE_FILE_TABLE

const eZ\Publish\Core\FieldType\Image\ImageStorage\Gateway\DoctrineStorage::IMAGE_FILE_TABLE = 'ezimagefile'

Definition at line 23 of file Image/ImageStorage/Gateway/DoctrineStorage.php.

The documentation for this class was generated from the following file:

- Image/ImageStorage/Gateway/DoctrineStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.